Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

devbox_id
string
required

The Devbox ID

execution_id
string
required

The Execution ID

Query Parameters

last_n
string

Last n lines of standard error / standard out to return (default: 100)

Response

OK

devbox_id
string
required

Devbox id where command was executed.

execution_id
string
required

Ephemeral id of the execution in progress.

status
enum<string>
required

Current status of the execution.

Available options:
queued,
running,
completed
shell_name
string | null

Shell name.

stdout
string | null

Standard out generated by command. This field will remain unset until the execution has completed.

stderr
string | null

Standard error generated by command. This field will remain unset until the execution has completed.

exit_status
integer<int32> | null

Exit code of command execution. This field will remain unset until the execution has completed.

stdout_truncated
boolean | null

Indicates whether the stdout was truncated due to size limits.

stderr_truncated
boolean | null

Indicates whether the stderr was truncated due to size limits.